Package org.codehaus.groovy.classgen.asm

# Class BinaryFloatExpressionHelper

java.lang.Object
org.codehaus.groovy.classgen.asm.BinaryExpressionWriter
org.codehaus.groovy.classgen.asm.BinaryFloatExpressionHelper

    public class BinaryFloatExpressionHelper
    extends BinaryExpressionWriter

- ## Field Summary

  ### Fields inherited from class org.codehaus.groovy.classgen.asm.BinaryExpressionWriter

  `stdCompareCodes`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `BinaryFloatExpressionHelper​(WriterController controller)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected void` | `doubleTwoOperands​(org.objectweb.asm.MethodVisitor mv)` |
  `protected int` | `getBitwiseOperationBytecode​(int type)` |
  `protected int` | `getCompareCode()` |
  `protected ClassNode` | `getDevisionOpResultType()` |
  `protected ClassNode` | `getNormalOpResultType()` |
  `protected int` | `getShiftOperationBytecode​(int type)` |
  `protected int` | `getStandardOperationBytecode​(int type)` |
  `protected void` | `removeTwoOperands​(org.objectweb.asm.MethodVisitor mv)` |
  `protected boolean` | `writeBitwiseOp​(int type, boolean simulate)` | writes some the bitwise operations.
  `protected void` | `writeMinusMinus​(org.objectweb.asm.MethodVisitor mv)` |
  `protected void` | `writePlusPlus​(org.objectweb.asm.MethodVisitor mv)` |
  `protected boolean` | `writeShiftOp​(int type, boolean simulate)` | Write shifting operations.

  ### Methods inherited from class org.codehaus.groovy.classgen.asm.BinaryExpressionWriter

  `arrayGet, arraySet, getArrayGetCaller, getArrayGetResultType, getArraySetCaller, getController, setArraySetAndGet, supportsDivision, write, writeDivision, writePostOrPrefixMethod, writeSpaceship, writeStdCompare, writeStdOperators`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BinaryFloatExpressionHelper

    public BinaryFloatExpressionHelper​(WriterController controller)

- ## Method Details

  - ### doubleTwoOperands

    protected void doubleTwoOperands​(org.objectweb.asm.MethodVisitor mv)
    Specified by:
      `doubleTwoOperands` in class `BinaryExpressionWriter`

  - ### writeBitwiseOp

    protected boolean writeBitwiseOp​(int type, boolean simulate)
    Description copied from class: `BinaryExpressionWriter`
    writes some the bitwise operations. type is one of BITWISE_OR, BITWISE_AND, BITWISE_XOR
    Overrides:
      `writeBitwiseOp` in class `BinaryExpressionWriter`
    Parameters:
      `type` - the token type
    Returns:
      true if a successful bitwise operation write

  - ### getBitwiseOperationBytecode

    protected int getBitwiseOperationBytecode​(int type)
    Specified by:
      `getBitwiseOperationBytecode` in class `BinaryExpressionWriter`

  - ### getCompareCode

    protected int getCompareCode()
    Specified by:
      `getCompareCode` in class `BinaryExpressionWriter`

  - ### getNormalOpResultType

    protected ClassNode getNormalOpResultType()
    Specified by:
      `getNormalOpResultType` in class `BinaryExpressionWriter`

  - ### writeShiftOp

    protected boolean writeShiftOp​(int type, boolean simulate)
    Description copied from class: `BinaryExpressionWriter`
    Write shifting operations. Type is one of LEFT_SHIFT, RIGHT_SHIFT, or RIGHT_SHIFT_UNSIGNED
    Overrides:
      `writeShiftOp` in class `BinaryExpressionWriter`
    Parameters:
      `type` - the token type
    Returns:
      true on a successful shift operation write

  - ### getShiftOperationBytecode

    protected int getShiftOperationBytecode​(int type)
    Specified by:
      `getShiftOperationBytecode` in class `BinaryExpressionWriter`

  - ### getStandardOperationBytecode

    protected int getStandardOperationBytecode​(int type)
    Specified by:
      `getStandardOperationBytecode` in class `BinaryExpressionWriter`

  - ### removeTwoOperands

    protected void removeTwoOperands​(org.objectweb.asm.MethodVisitor mv)
    Specified by:
      `removeTwoOperands` in class `BinaryExpressionWriter`

  - ### writeMinusMinus

    protected void writeMinusMinus​(org.objectweb.asm.MethodVisitor mv)
    Specified by:
      `writeMinusMinus` in class `BinaryExpressionWriter`

  - ### writePlusPlus

    protected void writePlusPlus​(org.objectweb.asm.MethodVisitor mv)
    Specified by:
      `writePlusPlus` in class `BinaryExpressionWriter`

  - ### getDevisionOpResultType

    protected ClassNode getDevisionOpResultType()
    Specified by:
      `getDevisionOpResultType` in class `BinaryExpressionWriter`